Loading...
Searching...
No Matches
UDP server

## Functions

PUBLIC int | csoundUDPServerStart (CSOUND *csound, unsigned int port)
| Starts the UDP server on a supplied port number returns CSOUND_SUCCESS if server has been started successfully, otherwise, CSOUND_ERROR.
PUBLIC int | csoundUDPServerStatus (CSOUND *csound)
| returns the port number on which the server is running, or CSOUND_ERROR if the server is not running.
PUBLIC int | csoundUDPServerClose (CSOUND *csound)
| Closes the UDP server, returning CSOUND_SUCCESS if the running server was successfully closed, CSOUND_ERROR otherwise.
PUBLIC int | csoundUDPConsole (CSOUND *csound, const char *addr, int port, int mirror)
| Turns on the transmission of console messages to UDP on address addr port port.
PUBLIC void | csoundStopUDPConsole (CSOUND *csound)
| Stop transmitting console messages via UDP.

## Detailed Description

## Function Documentation

## csoundStopUDPConsole()

PUBLIC void csoundStopUDPConsole | ( | CSOUND * | csound | ) |

Stop transmitting console messages via UDP.

References PUBLIC.

## csoundUDPConsole()

PUBLIC int csoundUDPConsole | ( | CSOUND * | csound,
|  | const char * | addr,
|  | int | port,
|  | int | mirror )

Turns on the transmission of console messages to UDP on address addr port port.

If mirror is one, the messages will continue to be sent to the usual destination (see csoundSetMessaggeCallback()) as well as to UDP. returns CSOUND_SUCCESS or CSOUND_ERROR if the UDP transmission could not be set up.

References PUBLIC.

## csoundUDPServerClose()

PUBLIC int csoundUDPServerClose | ( | CSOUND * | csound | ) |

Closes the UDP server, returning CSOUND_SUCCESS if the running server was successfully closed, CSOUND_ERROR otherwise.

References PUBLIC.

## csoundUDPServerStart()

PUBLIC int csoundUDPServerStart | ( | CSOUND * | csound,
|  | unsigned int | port )

Starts the UDP server on a supplied port number returns CSOUND_SUCCESS if server has been started successfully, otherwise, CSOUND_ERROR.

References PUBLIC.

## csoundUDPServerStatus()

PUBLIC int csoundUDPServerStatus | ( | CSOUND * | csound | ) |

returns the port number on which the server is running, or CSOUND_ERROR if the server is not running.

References PUBLIC.